__  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

[email protected]: ~ $
#!/bin/bash
# SPDX-License-Identifier: GPL-2.0
# Copyright(c) 2020 Intel Corporation.

ksft_pass=0
ksft_fail=1
ksft_xfail=2
ksft_xpass=3
ksft_skip=4

XSKOBJ=xskxceiver

validate_root_exec()
{
	msg="skip all tests:"
	if [ $UID != 0 ]; then
		echo $msg must be run as root >&2
		test_exit $ksft_fail
	else
		return $ksft_pass
	fi
}

validate_veth_support()
{
	msg="skip all tests:"
	if [ $(ip link add $1 type veth 2>/dev/null; echo $?;) != 0 ]; then
		echo $msg veth kernel support not available >&2
		test_exit $ksft_skip
	else
		ip link del $1
		return $ksft_pass
	fi
}

test_status()
{
	statusval=$1
	if [ $statusval -eq $ksft_fail ]; then
		echo "$2: [ FAIL ]"
	elif [ $statusval -eq $ksft_skip ]; then
		echo "$2: [ SKIPPED ]"
	elif [ $statusval -eq $ksft_pass ]; then
		echo "$2: [ PASS ]"
	fi
}

test_exit()
{
	if [ $1 -ne 0 ]; then
		test_status $1 $(basename $0)
	fi
	exit 1
}

cleanup_iface()
{
	ip link set $1 mtu $2
	ip link set $1 xdp off
	ip link set $1 xdpgeneric off
}

clear_configs()
{
	[ $(ip link show $1 &>/dev/null; echo $?;) == 0 ] &&
		{ ip link del $1; }
}

cleanup_exit()
{
	clear_configs $1 $2
}

validate_ip_utility()
{
	[ ! $(type -P ip) ] && { echo "'ip' not found. Skipping tests."; test_exit $ksft_skip; }
}

exec_xskxceiver()
{
        if [[ $busy_poll -eq 1 ]]; then
	        ARGS+="-b "
	fi

	./${XSKOBJ} -i ${VETH0} -i ${VETH1} ${ARGS}
	retval=$?

	if [[ $list -ne 1 ]]; then
	    test_status $retval "${TEST_NAME}"
	    statusList+=($retval)
	    nameList+=(${TEST_NAME})
	fi
}

Filemanager

Name Type Size Permission Actions
benchs Folder 0755
test_kmods Folder 0755
Makefile File 33.38 KB 0644
Makefile.docs File 2.15 KB 0644
ima_setup.sh File 3.26 KB 0755
test_bpftool.sh File 415 B 0755
test_bpftool_build.sh File 3.9 KB 0755
test_bpftool_metadata.sh File 1.63 KB 0755
test_doc_build.sh File 638 B 0755
test_ftrace.sh File 786 B 0755
test_kmod.sh File 1.46 KB 0755
test_lirc_mode2.sh File 764 B 0755
test_lwt_ip_encap.sh File 14.55 KB 0755
test_lwt_seg6local.sh File 6.11 KB 0755
test_tc_edt.sh File 2.75 KB 0755
test_tc_tunnel.sh File 7.82 KB 0755
test_tunnel.sh File 14.26 KB 0755
test_xdp_features.sh File 2.5 KB 0755
test_xdp_redirect_multi.sh File 6.18 KB 0755
test_xdp_vlan.sh File 5.89 KB 0755
test_xdp_vlan_mode_generic.sh File 186 B 0755
test_xdp_vlan_mode_native.sh File 180 B 0755
test_xdping.sh File 2.12 KB 0755
test_xsk.sh File 5.31 KB 0755
verify_sig_setup.sh File 2.73 KB 0755
vmtest.sh File 11.19 KB 0755
with_addr.sh File 1.27 KB 0755
with_tunnels.sh File 693 B 0755
xsk_prereqs.sh File 1.48 KB 0755
Filemanager